package frc.robot.subsystems;

import edu.wpi.first.wpilibj.motorcontrol.VictorSP;
import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.SubsystemBase;

public class Indexer extends SubsystemBase {
    private VictorSP motor1;

    public Indexer() {
        motor1 = new VictorSP(0);
    }

    public Command runIndexer(double speed) {
        return run(() -> {
            motor1.set(speed);
        });
    }

    public Command reverseIndexer(double speed) {
        return run(() -> {
            motor1.set(speed);
        });
    }

    public Command stopIndexer() {
        return run(() -> {
            motor1.set(0);
        });
    }
}